Bug 439878 - Settings UI widgets look weird with an invisible background
Summary: Settings UI widgets look weird with an invisible background
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: gtk theme (show other bugs)
Version: 5.22.3
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Jan Blackquill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-15 09:44 UTC by medin
Modified: 2022-02-14 17:03 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments
Breeze GTK theme is messing with Pamac (728.71 KB, image/png)
2021-07-15 09:44 UTC, medin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medin 2021-07-15 09:44:11 UTC
Created attachment 140073 [details]
Breeze GTK theme is messing with Pamac

This bug is creating high tension on Manjaro forum after latest Pamac update 13/07, it seems the real problem is that Breeze theme for GTK apps is not updated.
See attached image for comparison between Breeze and Adwaita themes.

Operating System: Manjaro Linux
KDE Plasma Version: 5.22.3
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.2
Kernel Version: 5.4.131-1-MANJARO (64-bit)
Graphics Platform: X11
Comment 1 Podagric 2021-07-15 16:35:34 UTC
it also happens with the light theme. everything looks out of place
Comment 2 Bug Janitor Service 2022-02-11 20:23:07 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/breeze-gtk/-/merge_requests/41
Comment 3 Jan Blackquill 2022-02-14 17:01:20 UTC
Git commit 43fa910ba5afe96860105ce331c4640e2758afb1 by Janet Blackquill.
Committed on 11/02/2022 at 20:19.
Pushed by ngraham into branch 'master'.

gtk3, gtk4: support list.content attribute

This indicates the usage of a floating chunk of list items
that should have a frame around them.

M  +7    -3    src/gtk3/widgets/_lists.scss
M  +7    -3    src/gtk4/widgets/_lists.scss

https://invent.kde.org/plasma/breeze-gtk/commit/43fa910ba5afe96860105ce331c4640e2758afb1